summaryrefslogtreecommitdiffstats
path: root/mcp
diff options
context:
space:
mode:
Diffstat (limited to 'mcp')
-rwxr-xr-xmcp/patches/patch.sh5
-rwxr-xr-xmcp/scripts/salt.sh3
2 files changed, 5 insertions, 3 deletions
diff --git a/mcp/patches/patch.sh b/mcp/patches/patch.sh
index 6cd65fd10..b56ebb815 100755
--- a/mcp/patches/patch.sh
+++ b/mcp/patches/patch.sh
@@ -1,8 +1,9 @@
-#!/bin/bash
+#!/bin/bash -ex
if [ -r "$1" ]; then
while IFS=': ' read -r p_dest p_file; do
- [[ "${p_dest}" =~ $2 ]] && \
+ if [[ "${p_dest}" =~ $2 ]]; then
patch -fd "${p_dest}" -p1 < "/root/fuel/mcp/patches/${p_file}"
+ fi
done < "$1"
fi
diff --git a/mcp/scripts/salt.sh b/mcp/scripts/salt.sh
index b0a26873d..73190e315 100755
--- a/mcp/scripts/salt.sh
+++ b/mcp/scripts/salt.sh
@@ -28,8 +28,9 @@ fi
# ssh to cfg01
# shellcheck disable=SC2086,2087
-ssh ${SSH_OPTS} "${SSH_SALT}" bash -s << SALT_INSTALL_END
+ssh ${SSH_OPTS} "${SSH_SALT}" bash -s -e << SALT_INSTALL_END
sudo -i
+ set -e
echo -n 'Checking out cloud-init has finished running ...'
while [ ! -f /var/lib/cloud/instance/boot-finished ]; do echo -n '.'; sleep 1; done